cURL
curl --request GET \
--url https://api.gptmaker.ai/v2/agent/{agentId}/intentions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gptmaker.ai/v2/agent/{agentId}/intentions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gptmaker.ai/v2/agent/{agentId}/intentions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"description": "<string>",
"instructions": "<string>",
"details": "<string>",
"fields": [
{
"name": "<string>",
"jsonName": "<string>",
"description": "<string>",
"required": true
}
],
"type": "WEBHOOK",
"url": "<string>",
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"params": [
{
"name": "<string>",
"value": "<string>"
}
],
"variables": [
{
"valueExpression": "<string>",
"defaultFieldKey": "<string>",
"customField": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"jsonName": "<string>"
}
}
],
"requestBody": "<string>",
"autoGenerateParams": true,
"autoGenerateBody": true
}
]{
"error": "<string>"
}{
"error": "<string>"
}Intenções
Listar intenções
Lista as intenções do agente
GET
/
v2
/
agent
/
{agentId}
/
intentions
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do agente
Query Parameters
Número da página
Tamanho da página
Filtro pela descrição da intenção
Response
Lista de intenções
ID da intenção
Descrição da intenção
Quando usar a intenção
Instruções dos dados de saída
Show child attributes
Show child attributes
Tipo de intenção
Available options:
WEBHOOK Método HTTP
Available options:
GET, POST URL do webhook
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
String contendo um JSON que será enviado no corpo da requisição
Geração automática de parâmetros
Geração automática do corpo da requisição
⌘I

